aboutsummaryrefslogtreecommitdiffstats
path: root/community/virt-viewer/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'community/virt-viewer/APKBUILD')
-rw-r--r--community/virt-viewer/APKBUILD47
1 files changed, 47 insertions, 0 deletions
diff --git a/community/virt-viewer/APKBUILD b/community/virt-viewer/APKBUILD
new file mode 100644
index 0000000000..95ec2f5480
--- /dev/null
+++ b/community/virt-viewer/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: Stuart Cardall <developer@it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer@it-offshore.co.uk>
+pkgname=virt-viewer
+pkgver=2.0
+pkgrel=0
+pkgdesc="A lightweight interface for interacting with the graphical display of virtualized guest OS"
+url="http://virt-manager.org"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="$depends_dev intltool spice-protocol glib-dev gtk+3.0-dev gtk-vnc-dev spice-gtk-dev"
+install=""
+subpackages="$pkgname-lang $pkgname-doc"
+source="http://virt-manager.org/download/sources/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --prefix=/usr \
+ --with-gtk=3.0 \
+ --disable-update-mimedb \
+ --with-gtk-vnc \
+ --with-spice-gtk \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="4b1e9a2029e0dfff741e17bb915f75ec virt-viewer-2.0.tar.gz"
+sha256sums="e9c583bcb5acdabac6a8a13eff6ce4e093a3050645771628f832e15ce685d437 virt-viewer-2.0.tar.gz"
+sha512sums="271ded11e4af3f1dd208c7b8ab7d1c0cd24f641a79e05178d0762a03de3dcf99ae7432acde2b67460e7a98d1fa562587b6b08cf06ab3cf80f025a7b259e8203e virt-viewer-2.0.tar.gz"